package com.community.huiju.dao;




import com.community.huiju.model.TpShopType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface TpShopTypeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpShopType record);

    int insertSelective(TpShopType record);

    TpShopType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpShopType record);

    int updateByPrimaryKey(TpShopType record);

    /**
     * 获取当前小区首页所有类型商铺
     */
    List<TpShopType> selectCommunityIdShop(@Param("communityId") Integer communityId);

    /**
     *获取小区所有店铺
     * @param communityId
     * @return
     */
    List<TpShopType> selectCommunityIdShopAll(@Param("communityId") Integer communityId);
}